### Function Macro

# GdkX11XID_TO_POINTER

#### Declaration [src]

    #define GDK_XID_TO_POINTER (
      xid
    )

#### Description [src]

Converts an XID into a `gpointer`. This is useful with data structures that use pointer arguments such as `GHashTable`. Use GDK_POINTER_TO_XID() to convert the argument back to an XID.

This function is not directly available to language bindings.

#### Parameters

`xid`

  Type: `-`

  XID to stuff into the pointer.